<html>
<head>
<title>OGRE: Ogre::Resource::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Resource.html">Resource</a>::<a class="el" href="classOgre_1_1Resource_1_1Listener.html">Listener</a></div>
<h1>Ogre::Resource::Listener Class Reference</h1><!-- doxytag: class="Ogre::Resource::Listener" --><code>#include &lt;<a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Resource_1_1Listener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#082340c9150be4d1b0509fd235e26ddc">Listener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#087cbfc9a4ad6490b09884d482932945">~Listener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#7e351c772904425efce5e94f0418e6ca">backgroundLoadingComplete</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback to indicate that background loading has completed.  <a href="#7e351c772904425efce5e94f0418e6ca"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00075">75</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="082340c9150be4d1b0509fd235e26ddc"></a><!-- doxytag: member="Ogre::Resource::Listener::Listener" ref="082340c9150be4d1b0509fd235e26ddc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Resource::Listener::Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00078">78</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="087cbfc9a4ad6490b09884d482932945"></a><!-- doxytag: member="Ogre::Resource::Listener::~Listener" ref="087cbfc9a4ad6490b09884d482932945" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Resource::Listener::~Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00079">79</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="7e351c772904425efce5e94f0418e6ca"></a><!-- doxytag: member="Ogre::Resource::Listener::backgroundLoadingComplete" ref="7e351c772904425efce5e94f0418e6ca" args="(Resource *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Resource::Listener::backgroundLoadingComplete           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback to indicate that background loading has completed. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This callback is only relevant when a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> has been marked as background loaded (</dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html#126372a71844bda74011ccd5088f706c" title="Tells the resource whether it is background loaded or not.">Resource::setBackgroundLoaded</a>) , and occurs when that loading has completed. The call itself does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a>, which will then be sent back to the listener as part of the application's primary frame loop thread. </dd></dl>

<p>Definition at line <a class="el" href="OgreResource_8h-source.html#l00091">91</a> of file <a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResource_8h-source.html">OgreResource.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:27 2008
</p>
</body>
</html>
